<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: GeneralParticleSourceMessenger Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>GeneralParticleSourceMessenger Class Reference</h1><!-- doxytag: class="GeneralParticleSourceMessenger" -->
<p><a href="classGeneralParticleSourceMessenger-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#acca9456f294a098be11dc8ec018bd32a">getA</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#af79166e4e160b05cdf9cb781dff93f8b">getB</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#addd5dcf2c6bcc39dce6a53f6140af9aa">getBetaGammaMax</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a067b61ab8b170fec17d96fbd50fa2f5b">getBetaGammaMin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a0a50ad004600be447ccaa51bec5164ae">getCenterOrientated</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ab7f85d8770aac9d1e4fd2789a5e9dc85">getDiceBetaGamma</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a843fec71b3a7682b682b7c0f66eeac73">getEMax</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#af6dc3bb0b3df66854e02134c50ee8540">getEMin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a4d9055d651da593d0ac2300b8d96fb3d">getNParticles</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a6d9db0467f3b4d5aef53108f77417417">getParticleName</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ade5a4e3b137a00b6276db050001ce015">getPhiMax</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a1c8b35418f9b1feb17a77bcb4b98f400">getPhiMin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a810523d8e5a73611b51f1395c6595785">getPolar</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a36d0944dd49fb73fa9ad8e7fff5ca4ed">getPos</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#aeda4d941258bd20fa2cda3f8ad509502">getPosDist</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a446d0b8d73f07d17bb08222a02f1152f">getPosGridDistA</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a1f485b76bf5a442cc115ffb4ae97ae8b">getRMax</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a6ee537925f101c2013de929cd0632f1d">getRMin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a7498aae673e538c50514bb909bf32a47">getShape</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ad9bddc499f4da5c268e7bbf97303ae05">getShift</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a746438043a5434e933441c10051716d5">getSourceSurfaceNormal</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a3d62c17f2d5b26210c3ce7ccb251ec61">getThetaMax</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#add206c2562da03d03d079c06afbc466a">getThetaMin</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a7339f41fe2c97fb3225e53f1ef1827b3">getTMax</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a12ea42d77f67dc9a62d2c6ed790ca147">getTMin</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#aaa4ccc37ec3a7f2016be705aba49b2fe">getVerbose</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a69a78cae4a57a79d6f187c68a5a7eca1">setA</a> (double _a)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#add55f403005fa1a41b7fe0e78cb5d2bf">setB</a> (double _b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a0c4139a40056dd814cf13ad707629d5f">setBetaGammaMax</a> (double _betaGammaMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a4c3555cb50f7ad9672e02c4755f5015b">setBetaGammaMin</a> (double _betaGammaMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ab161dd8f8f5b8ad6dd4c8d47ef787372">setCenterOrientated</a> (bool _centerOrientated)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a4468ea609bc87bbb5ca66f9caa4aec7f">setDiceBetaGamma</a> (bool _diceBetaGamma)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a2921cdf187138d03ac9d899b6bcacb90">setEMax</a> (double _eMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#af068a7a4f67aa5f10a360f94da22da9e">setEMin</a> (double _eMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a45138b9482bdda131fc6608092c19bec">setNParticles</a> (int _nParticles)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a2610fbe7514d644532b39f4980d3677e">setParticleName</a> (G4String _particleName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a92011ab092c4ee76eaa80585583b5c95">setPhiMax</a> (double _phiMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#acaeffa2862a474f7928462301940274a">setPhiMin</a> (double _phiMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a50bf288d98a14d8c667e4c37dca99b99">setPolar</a> (double _polar)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a8ed7811e9186e475900271f7c31fce15">setPos</a> (G4ThreeVector _pos)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a494c0316f31b48bcf1193d0a666fac76">setPosDist</a> (G4String _posDist)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a8b2309182ee863198e1ec13b42f11551">setPosGridDistA</a> (double _posGridDistA)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a86e0399a37f21f7339d3f17a426f6bf9">setRMax</a> (double _rMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a4d6f5c877998348e2bc0919161211134">setRMin</a> (double _rMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ad338c5d29b69e6f0588166eba4c95975">setShape</a> (G4String _shape)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a0c953107e5b18933a1ab52cde8a62bfc">setShift</a> (double _shift)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a5415120aaf8cb2d7dfdb9348dc685ab4">setSourceSurfaceNormal</a> (G4ThreeVector _sourceSurfaceNormal)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a048ae348e5fbb8827f3d19abad6746ea">setThetaMax</a> (double _thetaMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a48d42c3f126dc2258081c2f0c3ddfe74">setThetaMin</a> (double _thetaMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a9149cb79e97d02f7dd31e65cbd496bb6">setTMax</a> (double _tMax)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a18cb0c351318799359d838d6979ed9c6">setTMin</a> (double _tMin)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ab9a45c64782ba4a49ae0dc7daf1faf34">setVerbose</a> (int _verbose)</td></tr>
<tr><td colspan="2"><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <br class="typebreak"/>
<a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ab7469650cbbb9a6a0c6b1265c388eb1d">getInstance</a> ()</td></tr>
<tr><td colspan="2"><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const std::string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a87eca7af142037cc419220155a5734c8">MACRO_FILE_NAME</a> = &quot;gps.mac&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a5682131934e5636797f91f07b08b4358">POS_DIST_GRID</a> = &quot;grid&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a063d4cf8efc145b4e9334566e4068a0b">POS_DIST_UNIFORM</a> = &quot;uniform&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a21c8002ce0f2998f8ea64e8a53834b30">SHAPE_CIRCLE_NAME</a> = &quot;circle&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#ac44b9c0643e0f1796f1a64f858f8c22f">SHAPE_HEXAGON_NAME</a> = &quot;hexagon&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#a1c1754477b742bd444b5c80c64e1b54f">SHAPE_RECT_NAME</a> = &quot;rect&quot;</td></tr>
<tr><td colspan="2"><h2>Static Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <br class="typebreak"/>
<a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGeneralParticleSourceMessenger.html#aee040a70076cb7c93714e7d90c640703">INSTANCE</a> = NULL</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>A messenger for configuring the <a class="el" href="classGeneralParticleSource.html">GeneralParticleSource</a>.</p>
<p>Commands: /gps/verbose /gps/particleName /gps/nParticles /gps/polar /gps/tMin /gps/tMax /gps/energy/eMin /gps/energy/eMax /gps/energy/diceBetaGamma /gps/energy/betaGammaMin /gps/energy/betaGammaMax /gps/angle/phiMin /gps/angle/phiMax /gps/angle/thetaMin /gps/angle/thetaMax /gps/plane/shape /gps/plane/centerOrientated /gps/plane/surfaceNormal /gps/plane/shift /gps/plane/rMin /gps/plane/rMax /gps/plane/a /gps/plane/b /gps/plane/pos /gps/plane/posDist /gps/plane/posGridDistA </p>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acca9456f294a098be11dc8ec018bd32a"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getA" ref="acca9456f294a098be11dc8ec018bd32a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getA </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the length of the rectangular source plane. </dd></dl>

</div>
</div>
<a class="anchor" id="af79166e4e160b05cdf9cb781dff93f8b"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getB" ref="af79166e4e160b05cdf9cb781dff93f8b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getB </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the width of the rectangular source plane. </dd></dl>

</div>
</div>
<a class="anchor" id="addd5dcf2c6bcc39dce6a53f6140af9aa"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getBetaGammaMax" ref="addd5dcf2c6bcc39dce6a53f6140af9aa" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getBetaGammaMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the beta * gamma maximum. </dd></dl>

</div>
</div>
<a class="anchor" id="a067b61ab8b170fec17d96fbd50fa2f5b"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getBetaGammaMin" ref="a067b61ab8b170fec17d96fbd50fa2f5b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getBetaGammaMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the beta * gamma minimum. </dd></dl>

</div>
</div>
<a class="anchor" id="a0a50ad004600be447ccaa51bec5164ae"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getCenterOrientated" ref="a0a50ad004600be447ccaa51bec5164ae" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GeneralParticleSourceMessenger::getCenterOrientated </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>bool - true if particles are to be orientated towards the center of the shape </dd></dl>

</div>
</div>
<a class="anchor" id="ab7f85d8770aac9d1e4fd2789a5e9dc85"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getDiceBetaGamma" ref="ab7f85d8770aac9d1e4fd2789a5e9dc85" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GeneralParticleSourceMessenger::getDiceBetaGamma </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>bool - true if beta * gamma is to be diced instead of the energy. </dd></dl>

</div>
</div>
<a class="anchor" id="a843fec71b3a7682b682b7c0f66eeac73"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getEMax" ref="a843fec71b3a7682b682b7c0f66eeac73" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getEMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the eMax. </dd></dl>

</div>
</div>
<a class="anchor" id="af6dc3bb0b3df66854e02134c50ee8540"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getEMin" ref="af6dc3bb0b3df66854e02134c50ee8540" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getEMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the eMin. </dd></dl>

</div>
</div>
<a class="anchor" id="ab7469650cbbb9a6a0c6b1265c388eb1d"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getInstance" ref="ab7469650cbbb9a6a0c6b1265c388eb1d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a>* GeneralParticleSourceMessenger::getInstance </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline, static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a> - the singleton. </dd></dl>

</div>
</div>
<a class="anchor" id="a4d9055d651da593d0ac2300b8d96fb3d"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getNParticles" ref="a4d9055d651da593d0ac2300b8d96fb3d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GeneralParticleSourceMessenger::getNParticles </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>int - the number of particles per beamOn. </dd></dl>

</div>
</div>
<a class="anchor" id="a6d9db0467f3b4d5aef53108f77417417"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getParticleName" ref="a6d9db0467f3b4d5aef53108f77417417" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String GeneralParticleSourceMessenger::getParticleName </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4String - the particle name. </dd></dl>

</div>
</div>
<a class="anchor" id="ade5a4e3b137a00b6276db050001ce015"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPhiMax" ref="ade5a4e3b137a00b6276db050001ce015" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getPhiMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the phiMax. </dd></dl>

</div>
</div>
<a class="anchor" id="a1c8b35418f9b1feb17a77bcb4b98f400"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPhiMin" ref="a1c8b35418f9b1feb17a77bcb4b98f400" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getPhiMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the phiMin. </dd></dl>

</div>
</div>
<a class="anchor" id="a810523d8e5a73611b51f1395c6595785"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPolar" ref="a810523d8e5a73611b51f1395c6595785" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getPolar </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the polar angle of photons. </dd></dl>

</div>
</div>
<a class="anchor" id="a36d0944dd49fb73fa9ad8e7fff5ca4ed"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPos" ref="a36d0944dd49fb73fa9ad8e7fff5ca4ed" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GeneralParticleSourceMessenger::getPos </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4ThreeVector - the position of the particle plane. </dd></dl>

</div>
</div>
<a class="anchor" id="aeda4d941258bd20fa2cda3f8ad509502"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPosDist" ref="aeda4d941258bd20fa2cda3f8ad509502" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String GeneralParticleSourceMessenger::getPosDist </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4String - the position distribution. </dd></dl>

</div>
</div>
<a class="anchor" id="a446d0b8d73f07d17bb08222a02f1152f"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getPosGridDistA" ref="a446d0b8d73f07d17bb08222a02f1152f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getPosGridDistA </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the grid pitch of the grid particle distribution. </dd></dl>

</div>
</div>
<a class="anchor" id="a1f485b76bf5a442cc115ffb4ae97ae8b"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getRMax" ref="a1f485b76bf5a442cc115ffb4ae97ae8b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getRMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the rMax. </dd></dl>

</div>
</div>
<a class="anchor" id="a6ee537925f101c2013de929cd0632f1d"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getRMin" ref="a6ee537925f101c2013de929cd0632f1d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getRMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the rMin. </dd></dl>

</div>
</div>
<a class="anchor" id="a7498aae673e538c50514bb909bf32a47"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getShape" ref="a7498aae673e538c50514bb909bf32a47" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String GeneralParticleSourceMessenger::getShape </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4String - the shape type name. </dd></dl>

</div>
</div>
<a class="anchor" id="ad9bddc499f4da5c268e7bbf97303ae05"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getShift" ref="ad9bddc499f4da5c268e7bbf97303ae05" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getShift </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the shift. </dd></dl>

</div>
</div>
<a class="anchor" id="a746438043a5434e933441c10051716d5"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getSourceSurfaceNormal" ref="a746438043a5434e933441c10051716d5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GeneralParticleSourceMessenger::getSourceSurfaceNormal </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4ThreeVector - the surface normal. </dd></dl>

</div>
</div>
<a class="anchor" id="a3d62c17f2d5b26210c3ce7ccb251ec61"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getThetaMax" ref="a3d62c17f2d5b26210c3ce7ccb251ec61" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getThetaMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the thetaMax. </dd></dl>

</div>
</div>
<a class="anchor" id="add206c2562da03d03d079c06afbc466a"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getThetaMin" ref="add206c2562da03d03d079c06afbc466a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getThetaMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the thetaMin. </dd></dl>

</div>
</div>
<a class="anchor" id="a7339f41fe2c97fb3225e53f1ef1827b3"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getTMax" ref="a7339f41fe2c97fb3225e53f1ef1827b3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getTMax </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the maximum particle time. </dd></dl>

</div>
</div>
<a class="anchor" id="a12ea42d77f67dc9a62d2c6ed790ca147"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getTMin" ref="a12ea42d77f67dc9a62d2c6ed790ca147" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GeneralParticleSourceMessenger::getTMin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the minimum particle time. </dd></dl>

</div>
</div>
<a class="anchor" id="aaa4ccc37ec3a7f2016be705aba49b2fe"></a><!-- doxytag: member="GeneralParticleSourceMessenger::getVerbose" ref="aaa4ccc37ec3a7f2016be705aba49b2fe" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GeneralParticleSourceMessenger::getVerbose </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>int - the verbosity. </dd></dl>

</div>
</div>
<a class="anchor" id="a69a78cae4a57a79d6f187c68a5a7eca1"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setA" ref="a69a78cae4a57a79d6f187c68a5a7eca1" args="(double _a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setA </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_a</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_a</em>&nbsp;</td><td>- the a to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="add55f403005fa1a41b7fe0e78cb5d2bf"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setB" ref="add55f403005fa1a41b7fe0e78cb5d2bf" args="(double _b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setB </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_b</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_b</em>&nbsp;</td><td>- the b to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0c4139a40056dd814cf13ad707629d5f"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setBetaGammaMax" ref="a0c4139a40056dd814cf13ad707629d5f" args="(double _betaGammaMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setBetaGammaMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_betaGammaMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_betaGammaMax</em>&nbsp;</td><td>- the betaGammaMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4c3555cb50f7ad9672e02c4755f5015b"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setBetaGammaMin" ref="a4c3555cb50f7ad9672e02c4755f5015b" args="(double _betaGammaMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setBetaGammaMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_betaGammaMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_betaGammaMin</em>&nbsp;</td><td>- the betaGammaMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab161dd8f8f5b8ad6dd4c8d47ef787372"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setCenterOrientated" ref="ab161dd8f8f5b8ad6dd4c8d47ef787372" args="(bool _centerOrientated)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setCenterOrientated </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>_centerOrientated</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_centerOrientated</em>&nbsp;</td><td>- the centerOrientated to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4468ea609bc87bbb5ca66f9caa4aec7f"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setDiceBetaGamma" ref="a4468ea609bc87bbb5ca66f9caa4aec7f" args="(bool _diceBetaGamma)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setDiceBetaGamma </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>_diceBetaGamma</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_diceBetaGamma</em>&nbsp;</td><td>- the diceBetaGamma to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2921cdf187138d03ac9d899b6bcacb90"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setEMax" ref="a2921cdf187138d03ac9d899b6bcacb90" args="(double _eMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setEMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_eMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_eMax</em>&nbsp;</td><td>- the eMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af068a7a4f67aa5f10a360f94da22da9e"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setEMin" ref="af068a7a4f67aa5f10a360f94da22da9e" args="(double _eMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setEMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_eMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_eMin</em>&nbsp;</td><td>- the eMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a45138b9482bdda131fc6608092c19bec"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setNParticles" ref="a45138b9482bdda131fc6608092c19bec" args="(int _nParticles)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setNParticles </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>_nParticles</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_nParticles</em>&nbsp;</td><td>- the nParticles to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2610fbe7514d644532b39f4980d3677e"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setParticleName" ref="a2610fbe7514d644532b39f4980d3677e" args="(G4String _particleName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setParticleName </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>_particleName</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_particleName</em>&nbsp;</td><td>- the particleName to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a92011ab092c4ee76eaa80585583b5c95"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPhiMax" ref="a92011ab092c4ee76eaa80585583b5c95" args="(double _phiMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPhiMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_phiMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_phiMax</em>&nbsp;</td><td>- the phiMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="acaeffa2862a474f7928462301940274a"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPhiMin" ref="acaeffa2862a474f7928462301940274a" args="(double _phiMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPhiMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_phiMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_phiMin</em>&nbsp;</td><td>- the phiMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a50bf288d98a14d8c667e4c37dca99b99"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPolar" ref="a50bf288d98a14d8c667e4c37dca99b99" args="(double _polar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPolar </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_polar</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_polar</em>&nbsp;</td><td>- the polar to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8ed7811e9186e475900271f7c31fce15"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPos" ref="a8ed7811e9186e475900271f7c31fce15" args="(G4ThreeVector _pos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPos </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>_pos</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_pos</em>&nbsp;</td><td>- the pos to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a494c0316f31b48bcf1193d0a666fac76"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPosDist" ref="a494c0316f31b48bcf1193d0a666fac76" args="(G4String _posDist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPosDist </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>_posDist</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_posDist</em>&nbsp;</td><td>- the posDist to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8b2309182ee863198e1ec13b42f11551"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setPosGridDistA" ref="a8b2309182ee863198e1ec13b42f11551" args="(double _posGridDistA)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setPosGridDistA </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_posGridDistA</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_posGridDistA</em>&nbsp;</td><td>- the posGridDistA to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a86e0399a37f21f7339d3f17a426f6bf9"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setRMax" ref="a86e0399a37f21f7339d3f17a426f6bf9" args="(double _rMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setRMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_rMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_rMax</em>&nbsp;</td><td>- the rMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4d6f5c877998348e2bc0919161211134"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setRMin" ref="a4d6f5c877998348e2bc0919161211134" args="(double _rMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setRMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_rMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_rMin</em>&nbsp;</td><td>- the rMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad338c5d29b69e6f0588166eba4c95975"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setShape" ref="ad338c5d29b69e6f0588166eba4c95975" args="(G4String _shape)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setShape </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>_shape</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_shape</em>&nbsp;</td><td>- the shape to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0c953107e5b18933a1ab52cde8a62bfc"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setShift" ref="a0c953107e5b18933a1ab52cde8a62bfc" args="(double _shift)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setShift </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_shift</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_shift</em>&nbsp;</td><td>- the shift to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5415120aaf8cb2d7dfdb9348dc685ab4"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setSourceSurfaceNormal" ref="a5415120aaf8cb2d7dfdb9348dc685ab4" args="(G4ThreeVector _sourceSurfaceNormal)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setSourceSurfaceNormal </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>_sourceSurfaceNormal</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_sourceSurfaceNormal</em>&nbsp;</td><td>- the sourceSurfaceNormal to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a048ae348e5fbb8827f3d19abad6746ea"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setThetaMax" ref="a048ae348e5fbb8827f3d19abad6746ea" args="(double _thetaMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setThetaMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_thetaMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_thetaMax</em>&nbsp;</td><td>- the thetaMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a48d42c3f126dc2258081c2f0c3ddfe74"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setThetaMin" ref="a48d42c3f126dc2258081c2f0c3ddfe74" args="(double _thetaMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setThetaMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_thetaMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_thetaMin</em>&nbsp;</td><td>- the thetaMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9149cb79e97d02f7dd31e65cbd496bb6"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setTMax" ref="a9149cb79e97d02f7dd31e65cbd496bb6" args="(double _tMax)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setTMax </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_tMax</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_tMax</em>&nbsp;</td><td>- the tMax to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a18cb0c351318799359d838d6979ed9c6"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setTMin" ref="a18cb0c351318799359d838d6979ed9c6" args="(double _tMin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setTMin </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>_tMin</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_tMin</em>&nbsp;</td><td>- the tMin to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab9a45c64782ba4a49ae0dc7daf1faf34"></a><!-- doxytag: member="GeneralParticleSourceMessenger::setVerbose" ref="ab9a45c64782ba4a49ae0dc7daf1faf34" args="(int _verbose)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneralParticleSourceMessenger::setVerbose </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>_verbose</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>_verbose</em>&nbsp;</td><td>- the verbosity to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aee040a70076cb7c93714e7d90c640703"></a><!-- doxytag: member="GeneralParticleSourceMessenger::INSTANCE" ref="aee040a70076cb7c93714e7d90c640703" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a> * <a class="el" href="classGeneralParticleSourceMessenger.html#aee040a70076cb7c93714e7d90c640703">GeneralParticleSourceMessenger::INSTANCE</a> = NULL<code> [static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Singleton. </p>

</div>
</div>
<a class="anchor" id="a87eca7af142037cc419220155a5734c8"></a><!-- doxytag: member="GeneralParticleSourceMessenger::MACRO_FILE_NAME" ref="a87eca7af142037cc419220155a5734c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string <a class="el" href="classGeneralParticleSourceMessenger.html#a87eca7af142037cc419220155a5734c8">GeneralParticleSourceMessenger::MACRO_FILE_NAME</a> = &quot;gps.mac&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The file name of the macro file. </p>

</div>
</div>
<a class="anchor" id="a5682131934e5636797f91f07b08b4358"></a><!-- doxytag: member="GeneralParticleSourceMessenger::POS_DIST_GRID" ref="a5682131934e5636797f91f07b08b4358" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const G4String <a class="el" href="classGeneralParticleSourceMessenger.html#a5682131934e5636797f91f07b08b4358">GeneralParticleSourceMessenger::POS_DIST_GRID</a> = &quot;grid&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>String constant for the grid point particle distribution. </p>

</div>
</div>
<a class="anchor" id="a063d4cf8efc145b4e9334566e4068a0b"></a><!-- doxytag: member="GeneralParticleSourceMessenger::POS_DIST_UNIFORM" ref="a063d4cf8efc145b4e9334566e4068a0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const G4String <a class="el" href="classGeneralParticleSourceMessenger.html#a063d4cf8efc145b4e9334566e4068a0b">GeneralParticleSourceMessenger::POS_DIST_UNIFORM</a> = &quot;uniform&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>String constant for the uniform particle distribution </p>

</div>
</div>
<a class="anchor" id="a21c8002ce0f2998f8ea64e8a53834b30"></a><!-- doxytag: member="GeneralParticleSourceMessenger::SHAPE_CIRCLE_NAME" ref="a21c8002ce0f2998f8ea64e8a53834b30" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const G4String <a class="el" href="classGeneralParticleSourceMessenger.html#a21c8002ce0f2998f8ea64e8a53834b30">GeneralParticleSourceMessenger::SHAPE_CIRCLE_NAME</a> = &quot;circle&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>String constant for the circular source shape. </p>

</div>
</div>
<a class="anchor" id="ac44b9c0643e0f1796f1a64f858f8c22f"></a><!-- doxytag: member="GeneralParticleSourceMessenger::SHAPE_HEXAGON_NAME" ref="ac44b9c0643e0f1796f1a64f858f8c22f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const G4String <a class="el" href="classGeneralParticleSourceMessenger.html#ac44b9c0643e0f1796f1a64f858f8c22f">GeneralParticleSourceMessenger::SHAPE_HEXAGON_NAME</a> = &quot;hexagon&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>String constant for the hexagonal source shape. </p>

</div>
</div>
<a class="anchor" id="a1c1754477b742bd444b5c80c64e1b54f"></a><!-- doxytag: member="GeneralParticleSourceMessenger::SHAPE_RECT_NAME" ref="a1c1754477b742bd444b5c80c64e1b54f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const G4String <a class="el" href="classGeneralParticleSourceMessenger.html#a1c1754477b742bd444b5c80c64e1b54f">GeneralParticleSourceMessenger::SHAPE_RECT_NAME</a> = &quot;rect&quot;<code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>String constant for the rectangular source shape. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 19 Jul 2016 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
